#!/bin/bash

download_repo() {
  REPO_DIR=$1
  REPO_URL=$2
  echo "Downloading $REPO_DIR"
  if [ -d "$REPO_DIR" ]; then
    (cd "$REPO_DIR" && git pull)
  else
    git clone "$REPO_URL" "$REPO_DIR"
  fi
}

download_repo chnroutes2 https://github.com/misakaio/chnroutes2.git
download_repo dnsmasq-china-list https://github.com/felixonmars/dnsmasq-china-list.git
download_repo mycard-dnsmasq https://code.mycard.moe/mycard/dnsmasq

cd dnsmasq-china-list
make smartdns
cd ..

rm -rf ./data/china-list.conf
sed 's/114.114.114.114/china/g' ./dnsmasq-china-list/*.smartdns.conf >> ./data/china-list.conf
grep -P '^bogus-nxdomain=.+$' dnsmasq-china-list/bogus-nxdomain.china.conf | sed 's/=/ /g' >> ./data/china-list.conf

cd lists
python3 route_helper.py
cd ..

curl -sL https://cokebar.github.io/gfwlist2dnsmasq/dnsmasq_gfwlist_ipset.conf | grep -P '^ipset=' > ./data/gfwlist-ipset.conf
